For the complete documentation index, see llms.txt. This page is also available as Markdown.

Images

Creates, lists, shows, updates, deletes, and performs other operations on images

List images

get

Lists public virtual machine (VM) images with pagination and filtering support

Authorizations
X-Auth-TokenstringRequired

PCD Identity Service token authentication

Query parameters
limitintegerOptional

Requests a page size of items

markerstringOptional

The ID of the last-seen item

namestringOptional

Filters the response by a name

ownerstringOptional

Filters the response by a project ID

protectedbooleanOptional

Filters the response by the 'protected' image property

statusstring · enumOptional

Filters the response by an image status

Possible values:
tagstringOptional

Filters the response by the specified tag value

visibilitystring · enumOptional

Filters the response by an image visibility value

Possible values:
os_hiddenbooleanOptional

When true, filters the response to include only hidden images

member_statusstring · enumOptional

Filters the response by a member status

Possible values:
size_maxstringOptional

Filters the response by a maximum image size, in bytes

size_minstringOptional

Filters the response by a minimum image size, in bytes

created_atstringOptional

Specify a comparison filter based on the date and time when the resource was created

updated_atstringOptional

Specify a comparison filter based on the date and time when the resource was most recently modified

sort_dirstring · enumOptional

Sorts the response by direction

Possible values:
sort_keystringOptional

Sorts the response by an attribute

sortstringOptional

Sorts the response by one or more attribute and sort direction combinations

Responses
200

Images retrieved successfully

application/json
firststring · uriOptional

URI for the first page of response

nextstring · uriOptional

URI for the next page of response

schemastring · uriOptional

URL for the schema describing a list of images

get/images

Create image

post

Creates a catalog record for an operating system disk image

Authorizations
X-Auth-TokenstringRequired

PCD Identity Service token authentication

Body
idstring · uuidOptional

A unique, user-defined image UUID

namestringOptional

The name of the image

container_formatstring · enumOptional

Format of the image container

Possible values:
disk_formatstring · enumOptional

The format of the disk

Possible values:
min_diskintegerOptional

Amount of disk space in GB that is required to boot the image

min_ramintegerOptional

Amount of RAM in MB that is required to boot the image

protectedbooleanOptional

Image protection for deletion

tagsstring[]Optional

List of tags for this image

visibilitystring · enumOptional

Visibility for this image

Possible values:
Other propertiesstringOptional

Additional custom properties

Responses
201

Image created successfully

application/json
post/images

Show image details

get

Shows details for an image

Authorizations
X-Auth-TokenstringRequired

PCD Identity Service token authentication

Path parameters
image_idstring · uuidRequired

The UUID of the image

Responses
200

Image details retrieved successfully

application/json
idstring · uuidRead-onlyRequired

A unique identifier for the image

namestring · nullableOptional

The name of the image

statusstring · enumRead-onlyRequired

The image status

Possible values:
visibilitystring · enumRequired

Image visibility

Possible values:
protectedbooleanRequired

Image protection for deletion

tagsstring[]Required

List of tags for this image

container_formatstring · enum · nullableOptional

Format of the image container

Possible values:
disk_formatstring · enum · nullableOptional

The format of the disk

Possible values:
min_diskintegerOptional

Amount of disk space in GB required to boot the image

min_ramintegerOptional

Amount of RAM in MB required to boot the image

sizeinteger · nullableRead-onlyOptional

The size of the image data, in bytes

virtual_sizeinteger · nullableRead-onlyOptional

The virtual size of the image

checksumstring · nullableRead-onlyOptional

MD5 hash of image contents

os_hash_algostring · nullableRead-onlyOptional

Algorithm used to compute secure hash

os_hash_valuestring · nullableRead-onlyOptional

Hexdigest of the secure hash

os_hiddenbooleanOptional

Controls whether image is displayed in default image list

ownerstring · nullableRead-onlyOptional

An identifier for the owner of the image

created_atstring · date-timeRead-onlyRequired

Date and time when the image was created

updated_atstring · date-timeRead-onlyRequired

Date and time when the image was last updated

selfstring · uriRead-onlyRequired

URL for the image

filestring · uriRead-onlyOptional

URL for the image file

schemastring · uriRead-onlyRequired

URL for the schema describing the image

direct_urlstring · uriRead-onlyOptional

URL to access the image file kept in external store

Other propertiesstringOptional

Additional custom properties

get/images/{image_id}

Delete image

delete

Deletes an image

Authorizations
X-Auth-TokenstringRequired

PCD Identity Service token authentication

Path parameters
image_idstring · uuidRequired

The UUID of the image

Responses
204

Image deleted successfully

No content

delete/images/{image_id}

No content

Update image

patch

Updates an image using JSON Patch operations

Authorizations
X-Auth-TokenstringRequired

PCD Identity Service token authentication

Path parameters
image_idstring · uuidRequired

The UUID of the image

Bodyobject · JsonPatchOperation[]
opstring · enumRequired

The operation to perform

Possible values:
pathstringRequired

JSON pointer to the location in the target document

valueanyOptional

The value to use for the operation

Responses
200

Image updated successfully

application/json
idstring · uuidRead-onlyRequired

A unique identifier for the image

namestring · nullableOptional

The name of the image

statusstring · enumRead-onlyRequired

The image status

Possible values:
visibilitystring · enumRequired

Image visibility

Possible values:
protectedbooleanRequired

Image protection for deletion

tagsstring[]Required

List of tags for this image

container_formatstring · enum · nullableOptional

Format of the image container

Possible values:
disk_formatstring · enum · nullableOptional

The format of the disk

Possible values:
min_diskintegerOptional

Amount of disk space in GB required to boot the image

min_ramintegerOptional

Amount of RAM in MB required to boot the image

sizeinteger · nullableRead-onlyOptional

The size of the image data, in bytes

virtual_sizeinteger · nullableRead-onlyOptional

The virtual size of the image

checksumstring · nullableRead-onlyOptional

MD5 hash of image contents

os_hash_algostring · nullableRead-onlyOptional

Algorithm used to compute secure hash

os_hash_valuestring · nullableRead-onlyOptional

Hexdigest of the secure hash

os_hiddenbooleanOptional

Controls whether image is displayed in default image list

ownerstring · nullableRead-onlyOptional

An identifier for the owner of the image

created_atstring · date-timeRead-onlyRequired

Date and time when the image was created

updated_atstring · date-timeRead-onlyRequired

Date and time when the image was last updated

selfstring · uriRead-onlyRequired

URL for the image

filestring · uriRead-onlyOptional

URL for the image file

schemastring · uriRead-onlyRequired

URL for the schema describing the image

direct_urlstring · uriRead-onlyOptional

URL to access the image file kept in external store

Other propertiesstringOptional

Additional custom properties

patch/images/{image_id}

Deactivate image

post

Deactivates an image (admin only)

Authorizations
X-Auth-TokenstringRequired

PCD Identity Service token authentication

Path parameters
image_idstring · uuidRequired

The UUID of the image

Responses
204

Image deactivated successfully

No content

post/images/{image_id}/actions/deactivate

No content

Reactivate image

post

Reactivates an image (admin only)

Authorizations
X-Auth-TokenstringRequired

PCD Identity Service token authentication

Path parameters
image_idstring · uuidRequired

The UUID of the image

Responses
204

Image reactivated successfully

No content

post/images/{image_id}/actions/reactivate

No content

Last updated

Was this helpful?